﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net5.0</TargetFramework>
    <AssemblyName>Xilium.CefGlue.Demo.Avalonia</AssemblyName>
    <RootNamespace>Xilium.CefGlue.Demo.Avalonia</RootNamespace>
    <Configurations>Debug;Release;Debug_WindowlessRender</Configurations>
  </PropertyGroup>
    
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug_WindowlessRender|AnyCPU'">
    <DebugType></DebugType>
    <DefineConstants>$(DefineConstants);WINDOWLESS</DefineConstants>
  </PropertyGroup>
  
  <PropertyGroup>
    <CFBundleName>Xilium.CefGlue.Demo.Avalonia</CFBundleName> <!-- Also defines .app file name -->
    <CFBundleDisplayName>CefGlueDemoAvalonia</CFBundleDisplayName>
    <CFBundleIdentifier>com.example</CFBundleIdentifier>
    <CFBundleVersion>1.0.0</CFBundleVersion>
    <CFBundlePackageType>AAPL</CFBundlePackageType>
    <CFBundleSignature>4242</CFBundleSignature>
    <CFBundleShortVersionString>DemoAvalonia</CFBundleShortVersionString>
    <CFBundleExecutable>Xilium.CefGlue.Demo.Avalonia</CFBundleExecutable>
    <CFBundleIconFile>AppName.icns</CFBundleIconFile> <!-- Will be copied from output directory -->
    <NSPrincipalClass>NSApplication</NSPrincipalClass>
    <NSHighResolutionCapable>true</NSHighResolutionCapable>
  </PropertyGroup>
    
  <ItemGroup>
    <None Remove="App.xaml" />
    <None Remove="BrowserView.xaml" />
    <None Remove="MainWindow.xaml" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="App.xaml" />
    <EmbeddedResource Include="BrowserView.xaml">
      <Generator>MSBuild:Compile</Generator>
    </EmbeddedResource>
    <EmbeddedResource Include="MainWindow.xaml" />
  </ItemGroup>
    
  <Import Project="$(ProjectDir)..\CefGlue.CopyLocal.props" />

  <ItemGroup>
    <PackageReference Include="Avalonia.Desktop" Version="0.10.0" />
    <PackageReference Include="Dotnet.Bundle" Version="0.9.13" />
    <PackageReference Include="Avalonia.Diagnostics" Version="0.10.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CefGlue.Avalonia\CefGlue.Avalonia.csproj" />
    <ProjectReference Include="..\CefGlue\CefGlue.csproj" />  
  </ItemGroup>

  <Import Project="$(ProjectDir)..\Nuget\CefGlue.Common.targets" />

</Project>
